View Issue Details

IDProjectCategoryView StatusLast Update
13389Bug reports[All Projects] Survey designpublic2018-02-27 14:23
Reportertpartner Assigned Toollehar  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.4.x 
Target VersionFixed in Version3.4.x 
Summary13389: Cannot add JavaScript file to custom admin theme
Description

I get a PHP error when trying to include a custom JS file in a custom admin theme - see attached screenshots.

Steps To Reproduce
  • Upload attached theme Black_Pearl_Custom.zip to /upload/admintheme/

  • Activate the theme in the configuration setting

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.4.0
I will donate to the project if issue is resolvedNo
BrowserN/A
Database & DB-Versionmysqlnd 5.0.12-dev
Server OS (if known)Windows 10
Webserver software & version (if known)Apache/2.4.27 (Win32) OpenSSL/1.0.2l PHP/7.1.9
PHP Version7.1.9

Activities

tpartner

tpartner

2018-02-20 14:19

developer  

capture-3.png (30,163 bytes)
capture-3.png (30,163 bytes)
Black_Pearl_Custom.zip (311,436 bytes)
capture-2.png (43,120 bytes)
capture-2.png (43,120 bytes)
DenisChenu

DenisChenu

2018-02-20 15:16

developer   ~46619

string to array ? We don't have same issue before ?

tpartner

tpartner

2018-02-20 15:19

developer   ~46621

Note, this worked in 2.7x.

ollehar

ollehar

2018-02-23 13:09

administrator   ~46733

When trying to import the zip file, I get message: "This ZIP archive did not contain a template. Import failed."

ollehar

ollehar

2018-02-23 13:10

administrator   ~46734

Oops, sorry, admin theme, not frontend theme.

ollehar

ollehar

2018-02-23 13:21

administrator   ~46735

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26580

c_schmitz

c_schmitz

2018-02-27 14:23

administrator   ~46797

Version 3.4.3 Build 180227 released.

Related Changesets

LimeSurvey: master 4619c26b

2018-02-23 13:21:26

ollehar

Details Diff
Fixed issue 13389: Cannot add JavaScript file to custom admin theme Affected Issues
13389
mod - application/models/AdminTheme.php Diff File

Issue History

Date Modified Username Field Change
2018-02-20 14:19 tpartner New Issue
2018-02-20 14:19 tpartner Status new => assigned
2018-02-20 14:19 tpartner Assigned To => LouisGac
2018-02-20 14:19 tpartner File Added: capture-3.png
2018-02-20 14:19 tpartner File Added: Black_Pearl_Custom.zip
2018-02-20 14:19 tpartner File Added: capture-2.png
2018-02-20 14:20 tpartner Steps to Reproduce Updated View Revisions
2018-02-20 15:12 tpartner Assigned To LouisGac => ollehar
2018-02-20 15:16 DenisChenu Note Added: 46619
2018-02-20 15:19 tpartner Note Added: 46621
2018-02-23 13:09 ollehar Note Added: 46733
2018-02-23 13:10 ollehar Note Added: 46734
2018-02-23 13:21 ollehar Changeset attached => LimeSurvey master 4619c26b
2018-02-23 13:21 ollehar Note Added: 46735
2018-02-23 13:21 ollehar Resolution open => fixed
2018-02-23 13:22 ollehar Status assigned => resolved
2018-02-23 13:22 ollehar Fixed in Version => 3.4.x
2018-02-27 14:23 c_schmitz Note Added: 46797
2018-02-27 14:23 c_schmitz Status resolved => closed